Name:		kphotoalbum
Epoch:		1
Version:	5.2
Release:	%mkrel 2
Summary:	Photo album manager
License:	GPLv2+
Group:		Graphics/Utilities
Url:		https://www.kphotoalbum.org/
Source0:	http://download.kde.org/stable/%{name}/%{version}/%{name}-%{version}.tar.xz
# Mageia patches:

BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5Archive)
BuildRequires:	cmake(KF5Parts)
BuildRequires:	cmake(KF5JobWidgets)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(phonon4qt5)

# Optional/Recommended packages
BuildRequires:	cmake(KF5Kipi)
BuildRequires:	cmake(KF5KDcraw)
BuildRequires:	cmake(KF5KExiv2)
BuildRequires:	cmake(KF5KFace)
BuildRequires:	cmake(KF5KGeoMap)
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(libjpeg)

Requires:	mplayer
Recommends:	ufraw

%description
KPhotoAlbum supports all the normal image formats including
raw formats produced by most digital cameras and scanners
(using dcraw to do the decoding).
It is also possible to use the thumbnails embedded in raw
images (that are usually of decent size and quality) for
fast viewing so there is no need to decode the whole raw image.

%files -f %{name}.lang
%doc ChangeLog README
%{_kf5_bindir}/%{name}
%{_kf5_bindir}/kpa-backup.sh
%{_kf5_bindir}/open-raw.pl
%{_kf5_iconsdir}/hicolor/*/*/*.png
%{_kf5_datadir}/%{name}/
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_sysconfdir}/xdg/%{name}rc
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_applicationsdir}/org.kde.%{name}-import.desktop
%{_kf5_applicationsdir}/org.kde.%{name}.open-raw.desktop
%{_kf5_appdatadir}/org.kde.%{name}.appdata.xml

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang %{name} --with-html


%changelog
* Tue Jun 20 2017 neoclust <neoclust> 1:5.2-2.mga6
+ Revision: 1108007
- Rebuild against new exiv2

* Fri Mar 10 2017 daviddavid <daviddavid> 1:5.2-1.mga6
+ Revision: 1091468
- new version: 5.2
- remove merged upstream patch

* Sun Dec 18 2016 daviddavid <daviddavid> 1:5.1-1.mga6
+ Revision: 1075925
- new version: 5.1

* Thu Dec 15 2016 daviddavid <daviddavid> 1:5.0.1-2.mga6
+ Revision: 1075366
- rebuild for new libkipi

* Fri Oct 28 2016 daviddavid <daviddavid> 1:5.0.1-1.mga6
+ Revision: 1063861
- new version: 5.0.1
- port to Qt5/Kf5
- add a patch to fix kxmlgui5 install path

* Mon Feb 15 2016 umeabot <umeabot> 1:4.6.2-2.mga6
+ Revision: 960869
- Mageia 6 Mass Rebuild

* Fri Aug 28 2015 fwang <fwang> 1:4.6.2-1.mga6
+ Revision: 870611
- 4.6.2
- drop requires on kipi and kdcraw
- rebuild for new exiv2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.5-3.mga5
+ Revision: 746364
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:4.5-2.mga5
+ Revision: 681183
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Wed Jul 23 2014 fwang <fwang> 1:4.5-1.mga5
+ Revision: 655817
- 4.5

* Mon Feb 24 2014 neoclust <neoclust> 1:4.4-4.mga5
+ Revision: 596164
- Rebuild against new kdcraw

* Mon Feb 10 2014 dams <dams> 1:4.4-3.mga5
+ Revision: 589064
- rebuild for new exiv2

* Sat Oct 19 2013 umeabot <umeabot> 1:4.4-2.mga4
+ Revision: 530095
- Mageia 4 Mass Rebuild

* Sun Feb 24 2013 matteo <matteo> 1:4.4-1.mga4
+ Revision: 400289
- new stable version
- fix bug mga#9162

* Sat Jan 12 2013 umeabot <umeabot> 4.9.90-0.git20121203.2.mga3
+ Revision: 356452
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Tue Dec 11 2012 matteo <matteo> 4.9.90-0.git20121203.1.mga3
+ Revision: 329466
- new version

  + fwang <fwang>
    - update rpm group
    - rebuild for new kipi

* Wed Sep 26 2012 fwang <fwang> 4.3-1.mga3
+ Revision: 297878
- update file list
- patch merged
- new version 4.3

* Sun Jul 01 2012 fwang <fwang> 4.2-2.mga3
+ Revision: 265753
- rebuild for new libkdcraw

* Mon Apr 30 2012 matteo <matteo> 4.2-1.mga3
+ Revision: 234297
- fixed source entry
- fixed missing br
- fixed compilation error

  + fwang <fwang>
    - 4.2 final
    - 4.2 rc2

* Sun Oct 09 2011 fwang <fwang> 4.1.1-4.git.20110909.2.mga2
+ Revision: 153441
- rebuild for new exiv2

  + matteo <matteo>
    - changed release format to allow mdv pkg upgrade

* Sat Sep 10 2011 matteo <matteo> 4.1.1-0.git.20110909.1.mga2
+ Revision: 142248
- improved release format
- fixed version and release
- better use of kde macros, removed redundant BR, improved git versioning

* Fri Sep 09 2011 matteo <matteo> 0-1.mga2
+ Revision: 141909
- cleaned spec
- imported package kphotoalbum

